#
# spec file for package knutclient
#
# Copyright (c) 2006-2007 Nikolay Derkach <nderkach@gmail.com>
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#

# norootforbuild

Name:           knutclient
Version:        0.9.4
Release:        0.1
License:        GPLv2
URL:            http://www.alo.cz/knutclient
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  kdelibs3-devel update-desktop-files
Source:         %{name}-%{version}.tar.bz2
Requires:       nut
Group:          Hardware/UPS
Summary:        NUT GUI Interface

%description
Knutclient is a GUI interface for UPS system NUT



Authors:
--------
    Daniel Prynych <Daniel.Prynych@alo.cz>

%prep
. /etc/opt/kde3/common_options
%setup -n %{name}-%{version} -q
update_admin --no-unsermake

%build
. /etc/opt/kde3/common_options
./configure $configkde
do_make %{?jobs:-j%jobs}

%install
. /etc/opt/kde3/common_options
do_make DESTDIR=$RPM_BUILD_ROOT $INSTALL_TARGET
%find_lang %name
kde_post_install

%clean
rm -rf "$RPM_BUILD_ROOT"

%files -f %name.lang
%defattr(-,root,root)
%doc README AUTHORS ChangeLog COPYING INSTALL
/opt/kde3/bin/*
/opt/kde3/share/apps/knutclient
/opt/kde3/share/icons/??color
/opt/kde3/share/applications/kde/knutclient.desktop
/opt/kde3/share/locale/*/LC_MESSAGES/*.mo
/opt/kde3/share/doc/HTML/??/knutclient/*

%changelog -n knutclient
* Wed Dec 25 2008 - joe_morris@ntm.org
- updated to version 0.9.4
* Thu Oct 25 2007 - nderkach@gmail.com
- added common_options, do_make, kde_post_install, and some minor fixes
* Sun Mar 18 2007 - nderkach@gmail.com
- initial package (v0.9.3)
